package com.jsowell.pile.service;

import com.jsowell.pile.domain.OrderPayRecord;
import com.jsowell.pile.vo.web.OrderDetailInfoVO;

import java.util.List;

public interface IOrderPayRecordService {

	int updateByPrimaryKeySelective(OrderPayRecord record);

	/**
	 * 批量保存订单支付记录
	 * @param payRecordList
	 * @return
	 */
	int batchInsert(List<OrderPayRecord> payRecordList);

	List<OrderPayRecord> getOrderPayRecordList(String orderCode);

    List<OrderDetailInfoVO.PayRecord> selectOrderPayInfoList(String orderCode);
}
